/**
* @Copyright Copyright (C) 2010 VTEM . All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @link     	http://www.vtem.net
**/

jQuery(document).ready( function(){  
	 jQuery('#jform_params_TABS_JOOMLA-lbl').closest('.control-group').addClass("acc_trigger vt_joomla");
	 jQuery('#jform_params_TABS_K2-lbl').closest('.control-group').addClass("acc_trigger vt_k2");
	 jQuery('#jform_params_TABS_MODULE-lbl').closest('.control-group').addClass("acc_trigger vt_mods");
	 jQuery('.inputcolor').parent().parent().addClass("activecolor");
	 jQuery('#jform_params_Ordering_Options-lbl,#jform_params_Display_Options-lbl').parent().parent().parent().addClass("vt_border");
	 
	 jQuery('#jform_params_modstyle').each(function() {
		currentValue = jQuery(this).val();
		jQuery(this).find("option").each(function(index,Element) {		
		    if(jQuery(Element).val() == currentValue){		    	
		    	jQuery('.activecolor').slideDown();
		    }else{		    	
		    	jQuery('.activecolor').hide();
		    }
		});
	});	
	 jQuery('#jform_params_modstyle').change(function() {
		currentValue = jQuery(this).val();
		jQuery(this).find("option").each(function(index,Element) {		
		    if(jQuery(Element).val() == currentValue){		    	
		    	jQuery('.activecolor').slideDown();
		    }else{		    	
		    	jQuery('.activecolor').hide();
		    }
		});
	});	
	 
     //Set default open/close settings
    jQuery('.acc_container').hide(); //Hide/close all containers
    jQuery('.acc_trigger:first').addClass('active').next().show(); //Add "active" class to first trigger, then show/open the immediate next container

    //On Click
    jQuery('.acc_trigger').click(function(){
        if( jQuery(this).next().is(':hidden') ) { //If immediate next container is closed...
            jQuery('.acc_trigger').removeClass('active').next().slideUp(); //Remove all "active" state and slide up the immediate next container
            jQuery(this).toggleClass('active').next().slideDown(); //Add "active" state to clicked trigger and slide down the immediate next container
        }
        else{
            jQuery('.acc_trigger').removeClass('active');
            jQuery(this).next().slideUp();
        }
        return false; //Prevent the browser jump to the link anchor
    });

    
    //Joomla, k2 and modules  Accordion hide and show effect depend on content source.
    function showJoomla(){
        jQuery('.vt_joomla').addClass('active').slideDown();
        jQuery('.vt_k2').removeClass('active').hide();
        jQuery('.vt_mods').removeClass('active').hide();
    }
    function showK2(){
        jQuery('.vt_joomla').removeClass('active').hide();
        jQuery('.vt_mods').removeClass('active').hide();
        jQuery('.vt_k2').addClass('active').slideDown();
    }
    function showMods(){
        jQuery('.vt_joomla').removeClass('active').hide();
        jQuery('.vt_k2').removeClass('active').hide();
        jQuery('.vt_mods').addClass('active').slideDown();
    }
    
    //determine which settings is enable in content source and show related container
    switch(jQuery('#jform_params_content_source').val()){
        case 'joomla':
            showJoomla();
            break;
        case 'k2':
            showK2();
            break;
        case 'mods':
            showMods();
            break;
    }
    
    //change accordion realtime 
    jQuery('#jform_params_content_source').change(function(){
        switch(jQuery('#jform_params_content_source').val()){
        case 'joomla':
            showJoomla();
            break;
        case 'k2':
            showK2();
            break;
        case 'mods':
            showMods();
            break;
    }
    });
});